"""
Ouvrir une base de données
Afficher tous les attributs de toutes les tables
Effectuer une requête SQL simple pour récupérer des données
"""

import sqlite3

connecteur = sqlite3.connect("facturation.sqlite")
curseur = connecteur.cursor()

try :
    curseur.execute("SELECT name FROM sqlite_master WHERE type='table';")
    all_tables = curseur.fetchall()

    for one_table in all_tables : # pour chaque table de la base de données
        # Afficher le nom de la table
        print("======== Table : ",one_table,"=========")
        
        # Effectuer une requête sur la table
        curseur.execute("SELECT * FROM '"+one_table[0]+"';")

        # Afficher tous les champs de la table
        all_attributs = curseur.description
        print("=>( ",end='')
        for one_attribut in all_attributs :
            print(one_attribut[0],",",end='')
        print("\b)")
        
    print("Nombre de clients dans la basse :")
    curseur.execute("SELECT COUNT(*) FROM CLIENTS")
    print(curseur.fetchall())
except :
    print("Erreur d'exécution d'une requête SQL")
    connecteur.rollback() # annuler d'éventuelles mises à jour
finally :
    curseur.close()
